curl -X DELETE https://snip.sa/api/domains/507f1f77bcf86cd799439015 \
-H "X-API-Key: your_api_key_here"
const response = await axios.delete(
'https://snip.sa/api/domains/507f1f77bcf86cd799439015',
{
headers: { 'X-API-Key': 'your_api_key_here' }
}
);
{
"success": true,
"message": "Domain deleted successfully"
}
Domains
Delete Domain
Remove a custom domain
DELETE
/
api
/
domains
/
{id}
curl -X DELETE https://snip.sa/api/domains/507f1f77bcf86cd799439015 \
-H "X-API-Key: your_api_key_here"
const response = await axios.delete(
'https://snip.sa/api/domains/507f1f77bcf86cd799439015',
{
headers: { 'X-API-Key': 'your_api_key_here' }
}
);
{
"success": true,
"message": "Domain deleted successfully"
}
Path Parameters
Domain ID
Deleting a domain will affect all URLs using it. They will revert to the default domain.
curl -X DELETE https://snip.sa/api/domains/507f1f77bcf86cd799439015 \
-H "X-API-Key: your_api_key_here"
const response = await axios.delete(
'https://snip.sa/api/domains/507f1f77bcf86cd799439015',
{
headers: { 'X-API-Key': 'your_api_key_here' }
}
);
{
"success": true,
"message": "Domain deleted successfully"
}
⌘I
